import { RestPathParams } from './RestPathParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
import { RestQueryParams } from './RestQueryParams';
import { RestRequestHeaders } from './RestRequestHeaders';
import { RestApiRequestHandler } from './RestApiRequestHandler';
export type RestApiRequestHandlerWithAuthentication<PathParams extends RestPathParams = never, QueryParams extends RestQueryParams = never, RequestHeaders extends RestRequestHeaders = never, RequestBody extends RestRequestBody = never, ResponseBody extends RestResponseBody = never> = RestApiRequestHandler<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody, true>;
